curl --request POST \
--url https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/rows/draft/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"childTableId": 123,
"displayIndex": 123,
"values": {},
"id": "<string>",
"name": "<string>",
"path": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"childTableId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"path": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"values": {}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}セルあたり最大100行で、テーブルの下書きバージョンの複数の行がバッチ更新されます。1行の更新に関する詳細については、「PATCH /tables//rows//draft」エンドポイントを参照してください。
curl --request POST \
--url https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/rows/draft/batch/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"childTableId": 123,
"displayIndex": 123,
"values": {},
"id": "<string>",
"name": "<string>",
"path": "<string>"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"childTableId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"path": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"values": {}
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
Show child attributes
successful operation
バッチ処理が完了した日時を示すタイムスタンプ。
Show child attributes
バッチ処理が始まった日時を示すタイムスタンプ。
次の値を取り得る、バッチ処理の現在のステータス:CANCELED、COMPLETE、PENDING、PROCESSING。
CANCELED, COMPLETE, PENDING, PROCESSING バッチレスポンスに関連付けられた関連リンクのコレクション。
Show child attributes
バッチリクエストが行われた日時を示すタイムスタンプ。